Full name: projects.locations.datasets.patch
Updates a Dataset.
Endpoint
patchhttps://{service-endpoint}/v1/{dataset.name}
PATCH https://{service-endpoint}/v1/{dataset.name}
Where {service-endpoint} is one of the supported service endpoints.
Path parameters
dataset.namestring
Output only. Identifier. The resource name of the Dataset. Format: projects/{project}/locations/{location}/datasets/{dataset}
Query parameters
Required. The update mask applies to the resource. For the FieldMask definition, see google.protobuf.FieldMask. Updatable fields:
displayNamedescriptionlabels
This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".
Request body
The request body contains an instance of Dataset.
Response body
If successful, the response body contains an instance of Dataset.
IAM Permissions
Requires the following IAM permission on the name resource:
aiplatform.datasets.update
For more information, see the IAM documentation.